Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.vocab
Class CSV

    java.lang.Object
      org.apache.any23.vocab.Vocabulary
          org.apache.any23.vocab.CSV

    public class CSV

extends Vocabulary

This vocabulary models the structure of a CSV file according the RFC 4180.

Author:
  Davide Palmisano (dpalmisano@gmail.com)

Field Summary
`static String` | `COLUMN_POSITION`
`org.openrdf.model.URI` | `columnPosition` This property expresses the index of a column in a CSV file.
`static String` | `NS` The namespace of the vocabulary as a string.
`static String` | `NUMBER_OF_COLUMNS`
`static String` | `NUMBER_OF_ROWS`
`org.openrdf.model.URI` | `numberOfColumns` This property expresses the number of columns in a CSV file.
`org.openrdf.model.URI` | `numberOfRows` This property expresses the number of rows in a CSV file.
`org.openrdf.model.URI` | `row` This property links the identifier of a CSV to an entity representing a row.
`static String` | `ROW`
`static String` | `ROW_POSITION`
`static String` | `ROW_TYPE`
`org.openrdf.model.URI` | `rowPosition` This property expresses the index of a row in a CSV file.
`org.openrdf.model.URI` | `rowType` This resource identifies a Row.

Method Summary
`org.openrdf.model.URI` | `createProperty(String localName)`
`org.openrdf.model.URI` | `createResource(String localName)`
`static CSV` | `getInstance()`

Methods inherited from class org.apache.any23.vocab.Vocabulary
`createClass, createProperty, createURI, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROW

    public static final String ROW

See Also:
  Constant Field Values

### ROW_POSITION

    public static final String ROW_POSITION

See Also:
  Constant Field Values

### NUMBER_OF_ROWS

    public static final String NUMBER_OF_ROWS

See Also:
  Constant Field Values

### NUMBER_OF_COLUMNS

    public static final String NUMBER_OF_COLUMNS

See Also:
  Constant Field Values

### COLUMN_POSITION

    public static final String COLUMN_POSITION

See Also:
  Constant Field Values

### ROW_TYPE

    public static final String ROW_TYPE

See Also:
  Constant Field Values

### row

    public final org.openrdf.model.URI row

  This property links the identifier of a CSV to an entity representing a row.

### rowPosition

    public final org.openrdf.model.URI rowPosition

  This property expresses the index of a row in a CSV file.

### numberOfRows

    public final org.openrdf.model.URI numberOfRows

  This property expresses the number of rows in a CSV file.

### numberOfColumns

    public final org.openrdf.model.URI numberOfColumns

  This property expresses the number of columns in a CSV file.

### rowType

    public final org.openrdf.model.URI rowType

  This resource identifies a Row.

### columnPosition

    public org.openrdf.model.URI columnPosition

  This property expresses the index of a column in a CSV file.

### NS

    public static final String NS

  The namespace of the vocabulary as a string.

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static CSV getInstance()

### createResource

    public org.openrdf.model.URI createResource(String localName)

### createProperty

    public org.openrdf.model.URI createProperty(String localName)

  Parameters:
    `localName` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.